Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.external
Interface InfobitImporter

All Known Implementing Classes:
  ImporterImpl

public interface InfobitImporter

Defines the protocol to recover a collection of infobits from the XML representation generated by `InfobitExporter` back to infobits.

Version:
  $Revision: 1.1 $
Author:
  peter2

Method Summary
`InfobitManager` | `getManager()` Gets the manager to work with.
`java.util.List` | `importInfobits(java.io.Reader input, java.lang.String path, java.util.List diagnostics)` Recovers infobits from an XML representation as created by `InfobitExporter.export`.
`void` | `init()` Prepares the instance to be used.
`void` | `setAcl(Acl acl)` Defines the ACL used to create imported infobits and content
`void` | `setManager(InfobitManager manager)` Defines the manager to work with.

Method Detail

### setManager

    public void setManager(InfobitManager manager)

  Defines the manager to work with.

  Parameters:
    `manager` - The manager to access infobits

### getManager

    public InfobitManager getManager()

  Gets the manager to work with.

  Returns:
    The manager to access infobits

### setAcl

    public void setAcl(Acl acl)

  Defines the ACL used to create imported infobits and content

  Parameters:
    `acl` - The new Acl value

### init

    public void init()
              throws InfobitException

  Prepares the instance to be used.

  Throws:
    `InfobitException` - Description of Exception

### importInfobits

    public java.util.List importInfobits(java.io.Reader input,
                                         java.lang.String path,
                                         java.util.List diagnostics)
                                  throws InfobitException,
                                         InfobitSecurityException

  Recovers infobits from an XML representation as created by `InfobitExporter.export`. The infobits to be importer are subjected to the following constraints:
  - Versions and infobits must not form circular dependencies
  - Infobits already existing in the data store (identified by name) must not be imported
  - Infobits referenced as templates of script versions or as link targets must either be imported or already exist in the data store.
  - The common constraints on unique version and infobit names apply.

  Parameters:
    `input` - Source from which to obtain the XML document representing the infobits to import
    `path` - System location of `input` , used in diagnostic messages
    `diagnostics` - A list to be filled with `ImportMessage` instances providing diagnostic messages about errors encountered during the import.
  Returns:
    A collection of the imported infobits.
  Throws:
    `InfobitException` - Generic processing error
    `InfobitSecurityException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.